#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QMessageBox>
#include <QRegExp>
#include <QRegExpValidator>
#include <QDebug>

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void on_SerialPort_refresh_pushButton_clicked();

    void on_Open_Serial_pushButton_clicked();

    void on_Hz5_BTN_clicked();

    void on_Hz10_BTN_clicked();

    void on_Hz15_BTN_clicked();

    void on_Hz20_BTN_clicked();

    void on_Hz25_BTN_clicked();

    void on_Hz30_BTN_clicked();

    void on_Hz35_BTN_clicked();

    void on_Hz40_BTN_clicked();

    void on_Hz45_BTN_clicked();

    void on_Hz50_BTN_clicked();

    void on_Start_BTM_clicked();

    void on_Stop_BTM_clicked();

    void on_set_val_BTN_clicked();

private:
    Ui::Widget *ui;

private:
    //串口
    QSerialPort * Serial_port;

private:
    uint16_t ModbusCRC16(QByteArray inData);
};
#endif // WIDGET_H
